> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dados.rio/llms.txt
> Use this file to discover all available pages before exploring further.

# Busca um serviço por ID (UUID)

> Retorna os detalhes completos de um serviço específico através de busca direta por UUID no Typesense



## OpenAPI

````yaml https://raw.githubusercontent.com/prefeitura-rio/app-busca-search/refs/heads/main/docs/openapi-v3.json get /api/v1/search/{id}
openapi: 3.0.0
info:
  description: >-
    API para busca textual e vetorial usando Typesense e embeddings gerados via
    Google Gemini
  title: Mecanismo de Busca API
  termsOfService: http://swagger.io/terms/
  contact:
    name: Prefeitura do Rio de Janeiro
    url: https://prefeitura.rio
    email: contato@prefeitura.rio
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://services.pref.rio/app-busca-search
    description: Production server
  - url: https://services.staging.app.dados.rio/app-busca-search
    description: Staging server
security: []
paths:
  /api/v1/search/{id}:
    get:
      tags:
        - search
      summary: Busca um serviço por ID (UUID)
      description: >-
        Retorna os detalhes completos de um serviço específico através de busca
        direta por UUID no Typesense
      parameters:
        - example: cffe0736-80a6-46fe-ace6-3cebb4d262ea
          description: UUID do serviço
          name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.PrefRioService'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
      security:
        - bearerAuth: []
components:
  schemas:
    models.PrefRioService:
      type: object
      required:
        - autor
        - custo_servico
        - descricao_completa
        - nome_servico
        - orgao_gestor
        - resultado_solicitacao
        - resumo
        - tema_geral
        - tempo_atendimento
      properties:
        agents:
          $ref: '#/components/schemas/models.AgentsConfig'
        autor:
          type: string
          maxLength: 20000
        awaiting_approval:
          type: boolean
        buttons:
          type: array
          items:
            $ref: '#/components/schemas/models.Button'
        canais_digitais:
          type: array
          items:
            type: string
        canais_presenciais:
          type: array
          items:
            type: string
        created_at:
          type: integer
        custo_servico:
          type: string
          maxLength: 20000
        descricao_completa:
          type: string
          maxLength: 20000
        documentos_necessarios:
          type: array
          items:
            type: string
        embedding:
          type: array
          items:
            type: number
        extra_fields:
          type: object
          additionalProperties: true
        fixar_destaque:
          type: boolean
        id:
          type: string
        instrucoes_solicitante:
          type: string
          maxLength: 20000
        is_free:
          type: boolean
        last_update:
          type: integer
        legislacao_relacionada:
          type: array
          items:
            type: string
        nome_servico:
          type: string
          maxLength: 20000
        orgao_gestor:
          type: array
          minItems: 1
          items:
            type: string
        publico_especifico:
          type: array
          items:
            type: string
        published_at:
          type: integer
        resultado_solicitacao:
          type: string
          maxLength: 20000
        resumo:
          type: string
          maxLength: 20000
        search_content:
          type: string
        servico_nao_cobre:
          type: string
          maxLength: 20000
        slug:
          type: string
        slug_history:
          type: array
          items:
            type: string
        status:
          description: 0=Draft, 1=Published
          type: integer
          maximum: 1
          minimum: 0
        sub_categoria:
          type: string
        tema_geral:
          type: string
          maxLength: 20000
        tempo_atendimento:
          type: string
          maxLength: 20000
    models.AgentsConfig:
      type: object
      properties:
        exclusive_for_agents:
          type: boolean
        tool_hint:
          type: string
    models.Button:
      type: object
      properties:
        descricao:
          type: string
        is_enabled:
          type: boolean
        ordem:
          type: integer
        titulo:
          type: string
        url_service:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````